<!DOCTYPE html>

<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Tetris Game</title>
    <link rel="stylesheet" href="styles.css">
    <link rel="icon" href="favicon.ico">
    <script defer src="main.dart.js"></script>
</head>

<body>
    <div id="info"></div>
    <div id="output"></div>
    <div id="level"></div>
    <div id="result"></div>
    <div id='timer'></div>

    <div id="form-container" class="form-container">
        <div class="login-form">
            <h1>Login</h1>
            <form id="login-form">
                <label for="login-email">Email:</label>
                <input type="text" id="login-email" name="login-email" required><br>
                <label for="login-password">Password:</label>
                <input type="password" id="login-password" name="login-password" required><br>
                <input type="submit" value="Login">
                <button id="register-btn">Register</button>
            </form>
        </div>
        <div class="register-form">
            <h1>Register</h1>
            <form id="register-form">
                <label for="register-name">Name:</label>
                <input type="text" id="register-name" name="register-name" required><br>
                <label for="register-email">Email:</label>
                <input type="text" id="register-email" name="register-email" required><br>
                <label for="register-password">Password:</label>
                <input type="password" id="register-password" name="register-password" required><br>
                <input type="submit" value="Register">
                <button id="login-btn">Login</button>
            </form>
        </div>
    </div>



<script>
    const loginForm = document.querySelector('.login-form');
    const registerForm = document.querySelector('.register-form');
    const loginBtn = document.getElementById('login-btn');
    const registerBtn = document.getElementById('register-btn');

    loginBtn.addEventListener('click', () => {
        loginForm.style.display = 'block';
        registerForm.style.display = 'none';
    });

    registerBtn.addEventListener('click', () => {
        loginForm.style.display = 'none';
        registerForm.style.display = 'block';
    });
</script>

</body>
</html>
